> ## Documentation Index
> Fetch the complete documentation index at: https://fliqr.ai/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Get user order

> Get order information



## OpenAPI

````yaml GET /contacts/{contact_id}/order/{order_id}
openapi: 3.0.0
info:
  title: Fliqr AI API
  version: '1.1'
  description: >-
    REST API for Fliqr AI. Authenticate every request with the `X-ACCESS-TOKEN`
    header.
servers:
  - url: https://app.fliqr.ai/api
    description: Production
security:
  - APIKeyHeader: []
tags:
  - name: Accounts
  - name: Contacts
  - name: AI Agents
  - name: Pipelines
  - name: Ecommerce
  - name: Appointment Management
  - name: Templates
paths:
  /contacts/{contact_id}/order/{order_id}:
    get:
      tags:
        - Ecommerce
      summary: Get User Order
      description: Get order information
      operationId: getUserOrder
      parameters:
        - name: contact_id
          in: path
          required: true
          schema:
            type: integer
        - name: order_id
          in: path
          required: true
          schema:
            type: string
      responses:
        '200':
          description: successful operation
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Cart'
components:
  schemas:
    Cart:
      type: object
      description: All value related to money is in cents
      properties:
        order_id:
          type: string
        page_id:
          type: integer
          format: int64
        user_id:
          type: integer
          format: int64
          description: The contact ID
        currency:
          type: string
        total:
          type: integer
          format: int64
        subtotal:
          type: integer
          format: int64
        total_items:
          type: integer
          format: int32
        coupon_discount:
          type: integer
          format: int64
        coupon:
          type: string
        line_items:
          type: array
          xml:
            name: line_items
            wrapped: true
          items:
            $ref: '#/components/schemas/ProductCart'
        contact:
          $ref: '#/components/schemas/Contact'
      xml:
        name: cart
    ProductCart:
      type: object
      properties:
        id:
          type: integer
          format: int64
        name:
          type: string
        img:
          type: string
        price:
          type: number
          format: double
          description: the price is not in cents
        amount:
          type: integer
          description: quantity
        descr_min:
          type: string
        manufacturer:
          type: integer
          description: The vendor ID
        variant:
          type: string
        user_msg:
          type: string
      xml:
        name: ProductCart
    Contact:
      type: object
      properties:
        id:
          type: integer
          format: int64
        page_id:
          type: integer
          format: int64
        first_name:
          type: string
        last_name:
          type: string
        channel:
          type: integer
          description: >-
            0 - Messenger, 2 - SMS, 5 - WhatsApp, 7 - Google Business Message, 8
            - Telegram, 9 - Webchat
        profile_pic:
          type: string
        locale:
          type: string
        gender:
          type: integer
          description: 0 - Female, 1 - Male, 2 - Unknown
        timezone:
          type: integer
        last_sent:
          type: integer
          format: int64
          description: Unix timestamp in milliseconds
        last_delivered:
          type: integer
          format: int64
          description: Unix timestamp in milliseconds
        last_seen:
          type: integer
          format: int64
          description: Unix timestamp in milliseconds
        last_interaction:
          type: integer
          format: int64
          description: Unix timestamp in milliseconds
        subscribed_date:
          type: string
          description: Subscribed date in UTC. Example 2022-10-12 14:40:00
        subscribed:
          type: integer
          description: 1 - Subscribed, 2 - Unsubscribed
        tags:
          type: array
          xml:
            name: tag
            wrapped: true
          items:
            $ref: '#/components/schemas/Tag'
        custom_fields:
          type: array
          xml:
            name: tag
            wrapped: true
          items:
            $ref: '#/components/schemas/Custom_field'
      xml:
        name: Contact
    Tag:
      type: object
      properties:
        id:
          type: integer
          format: int64
        name:
          type: string
      xml:
        name: Tag
    Custom_field:
      type: object
      properties:
        id:
          type: integer
          format: int64
        name:
          type: string
        type:
          type: integer
          enum:
            - 0
            - 1
            - 2
            - 3
            - 4
            - 5
            - 6
            - 7
          description: >-
            0 - Text, 1 - Number, 2- Date (Unix timestamp), 3 - Date & Time
            (Unix timestamp), 4 - Boolean(0 or 1), 5- Long Text, 6 - Select, 7 -
            Multi Select
        value:
          type: string
          description: type == 0 then value is string, else value is a number
      xml:
        name: Custom_field
  securitySchemes:
    APIKeyHeader:
      type: apiKey
      in: header
      name: X-ACCESS-TOKEN
      description: >-
        API access token from your Fliqr AI dashboard (**Settings → API**). Send
        it in the `X-ACCESS-TOKEN` header on every request.

````